1. Watch
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
        POST
      • Get All Product Watches
        GET
      • Get Specific Product Watch
        GET
      • Get Specific Product Watch from Metadata
        GET
      • Edit Product Watch
        PUT
      • Delete Product Watch
        DELETE
      • Get Single Product Watch Notification History
        GET
      • Get Product Watch Notification History via Metadata
        GET
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Watch

Edit Product Watch

Testing
PUT
/v1/products/watches/{watch_id}

Request

Path Params

Header Params

Body Params application/json

Example
{
    "name": "Nike Shoe Price Drop Watch",
    "target_type": "product",
    "target_ids": [
        "123456789"
    ],
    "status": "active",
    "rules": [
        {
            "field": "final_price",
            "condition": "decrease",
            "threshold": {
                "type": "percentage",
                "value": 10
            }
        },
        {
            "field": "on_sale",
            "condition": "equals",
            "threshold": {
                "type": "value",
                "value": true
            }
        }
    ],
    "notifications": [
        {
            "channel": "webhook",
            "target": "https://api.example.com/callback"
        }
    ],
    "metadata": {
        "key1": "value1",
        "key16": "value16"
    },
    "filters": [],
    "expire_timestamp": 1774751812
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/products/watches/' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Nike Shoe Price Drop Watch",
    "target_type": "product",
    "target_ids": [
        "123456789"
    ],
    "status": "active",
    "rules": [
        {
            "field": "final_price",
            "condition": "decrease",
            "threshold": {
                "type": "percentage",
                "value": 10
            }
        },
        {
            "field": "on_sale",
            "condition": "equals",
            "threshold": {
                "type": "value",
                "value": true
            }
        }
    ],
    "notifications": [
        {
            "channel": "webhook",
            "target": "https://api.example.com/callback"
        }
    ],
    "metadata": {
        "key1": "value1",
        "key16": "value16"
    },
    "filters": [],
    "expire_timestamp": 1774751812
}'

Responses

🟢200Success
application/json
Body

Example
{
    "watch_id": "uuid-uudi-uuid-uuid",
    "name": "Nike Shoe Price Drop Watch",
    "status": "active"
}
🟠429Rate Limit Exceeded
Modified at 2025-12-31 14:50:56
Previous
Get Specific Product Watch from Metadata
Next
Delete Product Watch